import React from "react";
// import logo from './logo.svg';
import './App.css';

function App() {
  // vue3 组合式 API
  // React 必须大写 Pascal 命名 组件
  function FnHello({name="Fn"}){
    return <div>Hello world By {name}</div>
  }

  let com = FnHello({name:"obj"})

  function FnHello2(){
    return React.createElement("div", [], "Hello world By React.createElement")
  }

  // vue2 选项式 API
  class ClassHello extends  React.Component {
    // eslint-disable-next-line no-useless-constructor
    constructor(props) {
      super(props);
    }

    render() {
      return <div>Hello world By Class</div>
    }
  }

  // React 不能直接渲染 js 对象
  let obj = {
    a: 1,
    b: 2
  }

  // 如果是数组则依次遍历
  let arr1 = [
      1,
      2,
      3
  ]

  let arr2 = [
    FnHello({name:"arr1"}),
    FnHello({name:"arr2"}),
    FnHello({name:"arr3"}),
  ]

  return (
    <div className="App">
      <header className="App-header">
        {/*<img src={logo} className="App-logo" alt="logo" />*/}
        <FnHello/>

        <FnHello2/>

        <ClassHello/>

        {com}

        {JSON.stringify(obj)}

        <br/>

        {arr1}

        {arr2}
      </header>
    </div>
  );
}

export default App;
